Subject: [Shop-talk] pot

From: "Mike" <[email-masked]>
Date: Tue, 8 Jul 2014 19:21:20 -0700 s=q20140121; t=1404872481; bh=Bxk9eNUxracllyI2iG/HJ2Jm8Go+5rXfts0iaaQi0Ro=; h=Received:Received:Message-ID:From:To:Subject:Date:MIME-Version: Content-Type; b=HVAVLrf7PcJdn3sNXS+hmhe7hQt96U/EDVpnBJm8aSNH15s7IXDl6GhdfZ27G2bat hFQ/g2nPG/D8F82E3hcqBn+zaQaLW/e3vrraxBbMAeu1AJgtE24+JP8fO5/0Hradm0 sdALvr5EgVtvoWhRtZq3zTWf1QlfFVORQKlSBGNHLql3vW88quimpUwiKEW0hwuh58 +yn3nzIT9wl1Ph6NwOfN9S2Bag+bLbGp3OM3ppRJ/rqjrfoNj1p37LZ54a/98Lb8gJ +jvJ63LshTtCOaw0yGy9IFx/EuB3PzucGd3+pBDJklkbmgEsm42Y4nChS0gTMPUOjI YBj72gVA1YJjg==

Well, the subject line should get some readers, anyway.

I have a cast aluminum pot (actually, with the lid it is a Dutch Oven).  It is
ancient, probably pushing 100 years old.  Great cooking vessel, I use it all
the time.  But.......over the years it is showing it's age.  I have used steel
wool, and it works fairly well on the machined surfaces, but the un-machined
spots are too porous.  Anyone have some good suggestions on how to clean it
better?  I suppose one can buy some sort of aluminum cleaner, but I'm always
leery of chemical-type things.  Sometimes they damage the surface.

Mike
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive